Plesk\backup\Agent\Schema\Backup\DomainKeys\DomainKeysAType:
    properties:
        state:
            expose: true
            access_type: public_method
            serialized_name: state
            accessor:
                getter: getState
                setter: setState
            xml_attribute: true
            type: string
        privateKey:
            expose: true
            access_type: public_method
            serialized_name: private-key
            accessor:
                getter: getPrivateKey
                setter: setPrivateKey
            xml_attribute: true
            type: string
        publicKey:
            expose: true
            access_type: public_method
            serialized_name: public-key
            accessor:
                getter: getPublicKey
                setter: setPublicKey
            xml_attribute: true
            type: string
        activeSelector:
            expose: true
            access_type: public_method
            serialized_name: active-selector
            accessor:
                getter: getActiveSelector
                setter: setActiveSelector
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        domainKey:
            expose: true
            access_type: public_method
            serialized_name: domain-key
            xml_element:
                cdata: false
            accessor:
                getter: getDomainKey
                setter: setDomainKey
            xml_list:
                inline: true
                entry_name: domain-key
            type: array<Plesk\backup\Agent\Schema\Backup\DomainKey>
